## supertuxkart 0.10.0~rc1

=== debian/changelog ===
supertuxkart (0.10.0~rc1-0.1~mx15+1) mx; urgency=medium

  * Rebuild for MX 15.
  * Disable dbg and dbgsym packages.
  * Add libssl-dev to build-depends to prevent FTBFS.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 05 Apr 2019 15:40:33 -0700

supertuxkart (0.10.0~rc1~ubuntu16.04.1) xenial; urgency=low

  * Auto build.

 -- Qwerty Chouskie <asdfghrbljzmkd@outlook.com>  Thu, 04 Apr 2019 04:45:18 +0000
