=== debian/rules ===
#!/usr/bin/make -f

ifeq ($(findstring parallel=,$(DEB_BUILD_OPTIONS)),)
	export DEB_BUILD_OPTIONS+=parallel=$(shell getconf _NPROCESSORS_ONLN)
endif

export DEB_LDFLAGS_MAINT_APPEND=-lGLU

DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

%:
	dh $@ --buildsystem=cmake --parallel

override_dh_auto_configure:	
	# libbluetooth-dev is only available on linux, hence build with
	# wiimote input device support only on linux
	# TODO: remove -DBUILD_RECORDER=0 once libopenglrecorder is packaged
	if [ $(DEB_HOST_ARCH_OS) = linux ]; then \
	dh_auto_configure -- -DCMAKE_BUILD_TYPE="STKRelease" \
	                     -DSTK_INSTALL_BINARY_DIR="games" \
	                     -DSTK_INSTALL_DATA_DIR="share/games/supertuxkart" \
	                     -DBUILD_RECORDER=0; \
	else \
	dh_auto_configure -- -DCMAKE_BUILD_TYPE="STKRelease" \
	                     -DSTK_INSTALL_BINARY_DIR="games" \
	                     -DSTK_INSTALL_DATA_DIR="share/games/supertuxkart" \
	                     -DUSE_WIIUSE=OFF \
	                     -DBUILD_RECORDER=0; \
	fi

override_dh_auto_build:
	# Generate manual page	 
	docbook-to-man debian/supertuxkart.sgml > debian/supertuxkart.6
	
	dh_auto_build

override_dh_install:
	# cmake installs some unneeded autotools-related files as well
	find $(CURDIR)/debian/tmp \( -iname "Makefile.am" -o -iname \
	"Makefile.in" \) -delete
	
	# Remove unneeded (developer) scripts in data directory
	find $(CURDIR)/debian/tmp \( -iname "run_me.sh" -o -iname \
	"optimize_data.sh" -o -iname "check.sh" -o -iname \
	"pull_from_transifex.sh" \) -delete
	
	dh_install --list-missing -Xgitignore -Xgitattributes

override_dh_strip:
	dh_strip --no-automatic-dbgsym

get-orig-source:
	mkdir -p ../repack
	uscan --force-download --destdir ../repack --download-version $(DEB_UPSTREAM_VERSION)
	( \
		cd ../repack ;\
		tar -xJf supertuxkart-$(DEB_UPSTREAM_VERSION)-src.tar.xz ;\
		cd supertuxkart-$(DEB_UPSTREAM_VERSION) ;\
		cd .. ;\
		tar --mtime="$(SOURCE_DATE)" -cJf supertuxkart_$(DEB_UPSTREAM_VERSION)+dfsg.orig.tar.xz supertuxkart-$(DEB_UPSTREAM_VERSION) ;\
		mv supertuxkart_$(DEB_UPSTREAM_VERSION)+dfsg.orig.tar.xz .. ;\
	)
	rm -rf ../repack
