## supertuxkart 1.0

=== debian/changelog ===
supertuxkart (1.0-3) unstable; urgency=medium

  * Team upload.
  * Enable Wayland support.
    - build-depend on libwayland-dev and libxkbcommon-dev
  * Link against libatomic on architectures where it is required.
    (Closes: #934799)

 -- Reiner Herrmann <reiner@reiner-h.de>  Sat, 07 Sep 2019 13:13:25 +0200

supertuxkart (1.0-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * Declare compliance with Debian Policy 4.4.0.

 -- Markus Koschany <apo@debian.org>  Sat, 13 Jul 2019 00:51:33 +0200

supertuxkart (1.0-1) experimental; urgency=medium

  * Team upload.

  [ Reiner Herrmann ]
  * New upstream release.
  * Refresh patches and drop obsolete ones.
  * Link against additional system libraries: glew, enet, squish.
  * Update installation path of appdata.
  * Update removed/ignored files during installation.
  * Convert -dbg to automatically generated -dbgsym package.
  * Enable all hardening options.
  * Drop obsolete check for parallel builds.
  * Fix spelling errors found by lintian.
  * Mark -data as Multi-Arch foreign.
  * Declare that d/rules does not require root.
  * Add upstream metadata.
  * Convert d/copyright to copyright format 1.0 and update it.

  [ QwertyChouskie ]
  * Update d/control:
    - Removed SDL deps left over from the pre-0.7 days.
    - Added nettle dependency
    - Added deps for GLES build (1.0 automatically builds with GLES
      on ARM systems)
    - Update description to match supertuxkart.appdata.xml

 -- Reiner Herrmann <reiner@reiner-h.de>  Sun, 09 Jun 2019 22:28:11 +0200

supertuxkart (0.9.3-2) unstable; urgency=medium

  * Team upload.
  * Drop deprecated menu file and debian/supertuxkart.xpm icon.
  * Switch to compat level 11.
  * Declare compliance with Debian Policy 4.3.0.
  * Use canonical VCS URI and move the package to salsa.debian.org.
  * Add glew.patch to fix FTBFS with Debian's latest version of glew.
    Thanks to Adrian Bunk for the report. (Closes: #915453)

 -- Markus Koschany <apo@debian.org>  Sat, 29 Dec 2018 20:30:46 +0100
