## supertuxkart 1.1~rc1

=== debian/changelog ===
supertuxkart (1.1~rc1-0.1~mx15+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Disable libsquish-dev B-D.
  * Disable dbg/dbgsym packages.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 26 Dec 2019 11:07:35 -0800

supertuxkart (1.1~rc1+build5~ubuntu20.04.1) focal; urgency=low

  * Auto build.

 -- Qwerty Chouskie <asdfghrbljzmkd@outlook.com>  Sun, 22 Dec 2019 06:20:53 +0000

supertuxkart (1.0-5) unstable; urgency=medium

  * Team upload.
  * Move the atomic check down so that the target is known.

 -- Reiner Herrmann <reiner@reiner-h.de>  Sun, 08 Sep 2019 22:14:48 +0200

supertuxkart (1.0-4) unstable; urgency=medium

  * Team upload.
  * Fix test program that checks for atomic support, by using an
    8 byte type instead of int.

 -- Reiner Herrmann <reiner@reiner-h.de>  Sun, 08 Sep 2019 12:11:32 +0200
