=== debian/rules ===
--- 
+++ 
@@ -9,12 +9,12 @@
 
 override_dh_auto_clean:
 	# Remove embedded libraries used by embedded Irrlicht
-	rm -rf lib/jpeglib/
-	rm -rf lib/zlib/
-	rm -rf lib/libpng/
-	rm -rf lib/glew/
-	rm -rf lib/enet/
-	rm -rf lib/libsquish/
+	#rm -rf lib/jpeglib/
+	#rm -rf lib/zlib/
+	#rm -rf lib/libpng/
+	#rm -rf lib/glew/
+	#rm -rf lib/enet/
+	#rm -rf lib/libsquish/
 
 	dh_auto_clean
 
@@ -26,12 +26,14 @@
 	dh_auto_configure -- -DCMAKE_BUILD_TYPE="STKRelease" \
 	                     -DSTK_INSTALL_BINARY_DIR="games" \
 	                     -DSTK_INSTALL_DATA_DIR="share/games/supertuxkart" \
+						 -DUSE_CRYPTO_OPENSSL=OFF \
 	                     -DBUILD_RECORDER=0; \
 	else \
 	dh_auto_configure -- -DCMAKE_BUILD_TYPE="STKRelease" \
 	                     -DSTK_INSTALL_BINARY_DIR="games" \
 	                     -DSTK_INSTALL_DATA_DIR="share/games/supertuxkart" \
 	                     -DUSE_WIIUSE=OFF \
+						 -DUSE_CRYPTO_OPENSSL=OFF \
 	                     -DBUILD_RECORDER=0; \
 	fi
 
@@ -42,12 +44,6 @@
 	dh_auto_build
 
 override_dh_install:
-	# Licenses are all documented in debian/copyright
-	find $(CURDIR)/debian/tmp \( -iname "LICENSE" -o -iname "License.txt" \
-	-o -iname "license2.txt" -o -iname "licence2.txt" -o -iname \
-	"License.Debian.txt" -o -iname "Music_license.rtf" -o -iname \
-	"licenses.txt" \) -delete
-
 	# cmake installs some unneeded autotools-related files as well
 	find $(CURDIR)/debian/tmp \( -iname "Makefile.am" -o -iname \
 	"Makefile.in" \) -delete
@@ -59,4 +55,4 @@
 	dh_install --list-missing -Xgitignore -Xgitattributes
 
 override_dh_strip:
-	dh_strip --dbgsym-migration='supertuxkart-dbg (<< 1.0-1~)'
+	dh_strip --no-automatic-dbgsym
