## supertuxkart 1.1

=== debian/changelog ===
supertuxkart (1.1-1) unstable; urgency=medium

  * Team upload.

  [ Reiner Herrmann ]
  * New upstream release. (Closes: #948222)
    - refresh patches and drop applied ones
  * Link against system mcpp and raqm and drop embedded copies
  * Keep IPv6 disabled, as it would require the embedded copy of enet.
  * Bump Standards-Version to 4.4.1.
  * Update descriptions
    - drop article at beginning
    - don't use first person
  * Update debhelper compat to 12.
    - drop --list-missing from dh_install
  * Update font dependencies/symlinks/copyright.
  * Build-depend on sqlite3.
  * Install upstream manpage instead of outdated packaged one.
  * Exclude a header from orig tarball that is only used in iOS client.
  * Update copyrights.
  * Drop very old version restrictions.
  * Drop autotools-related files from d/clean and d/rules.

  [ QwertyChouskie ]
  * Add Harfbuzz build dependency.
  * Disable openssl, so cmake will continue building with nettle.
  * Cleanup files in d/clean.

 -- Reiner Herrmann <reiner@reiner-h.de>  Tue, 07 Jan 2020 01:18:14 +0100
