=== debian/control ===
--- 
+++ 
@@ -6,24 +6,27 @@
  Sam Hocevar <sho@debian.org>,
  Vincent Cheng <vcheng@debian.org>
 Build-Depends:
- cmake (>= 2.8.1),
- debhelper (>= 11),
- docbook-to-man,
+ cmake,
+ debhelper-compat (= 12),
  libalut-dev,
  libbluetooth-dev [linux-any],
  libbz2-dev,
  libcurl4-gnutls-dev | libcurl4-dev,
  libegl1-mesa-dev,
- libenet-dev (>= 1.3.1),
+ libenet-dev,
  libfreetype6-dev,
  libfribidi-dev,
  libgl1-mesa-dev,
  libgles2-mesa-dev,
  libglu1-mesa-dev,
  libglew-dev,
+ libharfbuzz-dev,
  libjpeg-dev,
+ libmcpp-dev,
  libopenal-dev,
  libpng-dev,
+ libraqm-dev,
+ libsqlite3-dev,
  libsquish-dev,
  libvorbis-dev,
  libwayland-dev,
@@ -34,7 +37,7 @@
  nettle-dev,
  pkg-config,
  zlib1g-dev
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/games-team/supertuxkart.git
 Vcs-Browser: https://salsa.debian.org/games-team/supertuxkart
@@ -46,9 +49,9 @@
  supertuxkart-data (= ${source:Version}),
  ${misc:Depends},
  ${shlibs:Depends}
-Description: A 3D arcade racer with a variety of characters, tracks, and modes to play
+Description: 3D arcade racer with a variety of characters, tracks, and modes to play
  Karts. Nitro. Action! SuperTuxKart is a 3D open-source arcade racer with a
- variety of characters, tracks, and modes to play. Our aim is to create a
+ variety of characters, tracks, and modes to play. The aim is to create a
  game that is more fun than realistic, and provide an enjoyable experience
  for all ages.
  .
@@ -70,14 +73,15 @@
 Multi-Arch: foreign
 Depends:
  fonts-cantarell,
- fonts-freefont-ttf,
- fonts-noto-hinted,
+ fonts-noto-color-emoji,
+ fonts-noto-core,
+ fonts-noto-ui-core,
  ${misc:Depends}
 Suggests:
  supertuxkart
-Description: A 3D arcade racer with a variety of characters, tracks, and modes to play (data)
+Description: 3D arcade racer with a variety of characters, tracks, and modes to play (data)
  Karts. Nitro. Action! SuperTuxKart is a 3D open-source arcade racer with a
- variety of characters, tracks, and modes to play. Our aim is to create a
+ variety of characters, tracks, and modes to play. The aim is to create a
  game that is more fun than realistic, and provide an enjoyable experience
  for all ages.
  .
